bert_state_s Struct Reference

`#include <bert.h>`

## Public Attributes

int | pattern
int | pattern_class
bert_report_func_t | reporter
void * | user_data
int | report_frequency
int | limit
uint32_t | mask
int | shift
int | shift2
int | max_zeros
int | invert
int | resync_time
int | decade_ptr [9]
int | decade_bad [9][10]
int | error_rate
bert_tx_state_t | tx
bert_rx_state_t | rx
bert_results_t | results
logging_state_t | logging
| Error and flow logging control.

## Detailed Description

Bit error rate tester (BERT) descriptor. This defines the working state for a single instance of the BERT.

The documentation for this struct was generated from the following file:

- private/bert.h